<?php
if (!isset($code)){
	echo "<script>window.location='index.php';</script>";	
} else {
	$ymdAtual=date('Y-m-d');
	require_once('../Amfphp/Services/conexao.php');
	require_once('../Amfphp/Services/funcoes.php');
	require_once('../adodb/adodb.inc.php');
	include_once('../Amfphp/Services/cspadm_sistema.php');
	$cspadm_sistema = new cspadm_sistema();
	$code = anti_injection($code);
	$con = new conexao();
	$sql = "select csp_user.*, provedor.idrevendedor from csp_user, provedor where csp_user.code='$code' and csp_user.situacao='Ativo' and csp_user.id = provedor.idprovedor";
	$resultado = $con->banco->Execute($sql);
	$registro = $resultado->FetchNextObject();
	
		if ($registro->DEL == "SIM") {
		echo "<script>window.alert('ERRO. CODE nao encontrado. Entre em contato com o seu revendedor');</script>";
		echo "<script>window.location='index.php';</script>";
		}
	
		
	if ($registro->CODE == "") {
		echo "<script>window.alert('ERRO. CODE nao encontrado. Entre em contato com o seu revendedor');</script>";
		echo "<script>window.location='index.php';</script>";
		}
	 if ($registro->DATAATIVACAO <> "0000-00-00"){
		echo "<script>window.alert('ERRO. CODE ja ativado. Entre em contato com o seu revendedor');</script>";
		echo "<script>window.location='index.php';</script>";
	} else {		
		$csp_login 			= $registro->NAME;
		$csp_senha 			= $registro->PASSWORD;
		$csp_teste			= $registro->CODETESTE;
		$idempresa			= $registro->IDEMPRESA;		
		$idprovedor			= $registro->ID;
		$dataativacao		= $registro->DATAATIVACAO;
		$idrevendedor 		= $registro->IDREVENDEDOR;
		$dataativacao2		= dmy($dataativacao);
		$qtde				= $registro->QTDE;
	
		if ($csp_teste == "SIM"){
			$try = "1";
			$tempo_teste = $cspadm_sistema->expireTeste($idempresa);
			
			$expiredatec = substr($tempo_teste,0,10);
			$expiredate = ymd($expiredatec);
			$expirehora = substr($tempo_teste,11,4);
		}
		if ($csp_teste == "NAO"){
			$try = "0";
			$expire_dia = date('d');			
			$expire_mes = date('m') + $qtde;
			$expire_ano = date('Y');
			if ($expire_mes > 12){
				$expire_ano++;
				$expire_mes = $expire_mes - 12;
			}
			if ($expire_mes == "02" && $expire_dia > 28){
				$expire_dia = "01";
				$expire_mes = "03";	
			}
			if($expire_dia > 30){
				$expire_mes++;
				$expire_dia = "01";	
			}
			$expire_dia = CompletaComZeros(2,$expire_dia);
			$expire_mes = CompletaComZeros(2,$expire_mes);
			$expiredate = "$expire_ano-$expire_mes-$expire_dia";
			$expirehora = "2359";
		}
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Validacao de Code</title>
<link href="netplus.css" rel="stylesheet" type="text/css" />
<style type="text/css">
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
}
</style>
<script src="SpryAssets/SpryValidationTextField.js" type="text/javascript"></script>
<link href="SpryAssets/SpryValidationTextField.css" rel="stylesheet" type="text/css" />
</head>

<body>
<table width="200" border="0" align="center">
  <tr>
    <td><img src="../imagens/Cadenas.png" alt="" width="165" height="172" /></td>
  </tr>
</table>
<form id="form1" name="form1" method="post" action="?oqfazer=salvar&code=<?php echo $code;?>">
  <table width="656" border="1" align="center">
    <tr class="txtAlertaBOX">
      <td width="646" align="center">
        <p>Estamos quase concluindo sua ativacao.        </p>
        <p><span class="txtBOX"> Por favor, atualize seus dados abaixo.
        </span></p>
        <table width="429" border="0">
          <tr align="center">
            <td width="355"><span class="txtAlertaBOX2">Nome:</span></td>
          </tr>
          <tr align="center">
            <td><span id="sprytextfield2">
              <label for="edt_nome"></label>
              <input name="edt_nome" type="text" class="txtBOX2" id="edt_nome" size="40" />
            <span class="textfieldRequiredMsg">A value is required.</span></span></td>
          </tr>
          <tr align="center">
            <td class="txtAlertaBOX2">E-Mail:</td>
          </tr>
          <tr align="center">
            <td><span id="sprytextfield3">
            <label for="edt_email"></label>
            <input name="edt_email" type="text" class="txtBOX2" id="edt_email" size="40" />
            <span class="textfieldRequiredMsg">A value is required.</span><span class="textfieldInvalidFormatMsg">Invalid format.</span></span></td>
          </tr>
          <tr align="center">
            <td>&nbsp;</td>
          </tr>
          <tr align="center">
            <td>Os dados necessários para a configuração do seu aparelho serão gerados após a validação do code.</td>
          </tr>
          <tr align="center">
            <td><span class="txtAlertaBOX2">
              <input type="submit" name="Enviar" id="Enviar" value="VALIDAR CODE" />
            </span></td>
          </tr>
        </table>
        <p>
          <label for="profile"></label>
          <label for="validoate"></label>
          <label for="csplogin"></label>
          <label for="cspsenha"></label>
          <br />
        </p></td>
    </tr>
  </table>
</form>
<?php

if ($oqfazer=="salvar"){
	$saldo = $cspadm_sistema->verificaSaldo($idempresa, $idrevendedor,1);
	if ($saldo == 0){
		echo "<script>window.alert('ERRO. O Code não pode ser ativado. Entre em contato com o seu revendedor');</script>";
		echo "<script>window.location='index.php';</script>";
	}
	
	$cspadm_sistema->atualizaSaldo($idempresa, $idrevendedor, 1, "del");
	$code = anti_injection($code);
	$sql = "update provedor set nome='$edt_nome', email='$edt_email', clienteteste='$try' where idprovedor='$idprovedor'";
	$con->banco->Execute($sql);
	$sql = "update csp_user set displayname = '$edt_nome', expiredate='$expiredate', expirehora='$expirehora', dataativacao='$ymdAtual', enabled='Ativo' where idempresa='$idempresa' and name='$csp_login'";
	$con->banco->Execute($sql);
	$cspadm_sistema->enviar_email_code_ativado($idempresa, $idrevendedor, $edt_email, "", $idprovedor);
	echo "<script>window.alert('Code ativado com sucesso. Os dados foram enviados para o email $edt_email');</script>";	
	echo "<script>window.location='jaativado.php?code=$code';</script>";
}
}
?>
<script type="text/javascript">
var sprytextfield2 = new Spry.Widget.ValidationTextField("sprytextfield2");
var sprytextfield3 = new Spry.Widget.ValidationTextField("sprytextfield3", "email");
</script>
</body>
</html>
